Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xmltorng.document.relaxng.impl
Class DataImpl

    java.lang.Object
      xmltorng.document.relaxng.impl.NonEmptyPatternImpl
          xmltorng.document.relaxng.impl.DataImpl

All Implemented Interfaces:
  Data, NonEmptyPattern, Pattern

    public class DataImpl

extends NonEmptyPatternImpl
implements Data

Field Summary

Fields inherited from interface xmltorng.framework.document.relaxng.NonEmptyPattern
`PATTERN_ATTRIBUTE, PATTERN_DATA, PATTERN_GROUP, PATTERN_LIST, PATTERN_REF, PATTERN_TEXT, PATTERN_VALUE`

Constructor Summary
`DataImpl(java.lang.String type, java.lang.String datatypeLibraryURI, Param[] params)`

Method Summary
`java.lang.String` | `getDatatypeLibraryURI()` Return the datatype library URI.
`Pattern` | `getExcept()` Return the except patern if any else null.
`Param` | `getParam(int index)` Return the param with index `index`.
`int` | `getParamCount()` Return the param count.
`int` | `getPatternType()` Return the pattern type.
`java.lang.String` | `getType()` Return the data type NCName.
`void` | `reorderParams(java.util.Comparator comparator)`
`void` | `setExcept(Pattern except)`

Methods inherited from class xmltorng.document.relaxng.impl.NonEmptyPatternImpl
`canBeRepeated, isEmpty, setBeRepeated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface xmltorng.framework.document.relaxng.NonEmptyPattern
`canBeRepeated`

Methods inherited from interface xmltorng.framework.document.relaxng.Pattern
`isEmpty`

Constructor Detail

### DataImpl

    public DataImpl(java.lang.String type,
                    java.lang.String datatypeLibraryURI,
                    Param[] params)

Method Detail

### setExcept

    public void setExcept(Pattern except)

### reorderParams

    public void reorderParams(java.util.Comparator comparator)

### getPatternType

    public int getPatternType()

  Description copied from interface: `NonEmptyPattern`
  Return the pattern type. Is one of the PATTERN_* constants.

  Specified by:
    `getPatternType` in interface `NonEmptyPattern`

### getType

    public java.lang.String getType()

  Description copied from interface: `Data`
  Return the data type NCName. Is not null.

  Specified by:
    `getType` in interface `Data`

### getDatatypeLibraryURI

    public java.lang.String getDatatypeLibraryURI()

  Description copied from interface: `Data`
  Return the datatype library URI. Is not null.

  Specified by:
    `getDatatypeLibraryURI` in interface `Data`

### getParamCount

    public int getParamCount()

  Description copied from interface: `Data`
  Return the param count. Is >= 0.

  Specified by:
    `getParamCount` in interface `Data`

### getParam

    public Param getParam(int index)

  Description copied from interface: `Data`
  Return the param with index `index`. `0 <= index < paramCount`.

  Specified by:
    `getParam` in interface `Data`

### getExcept

    public Pattern getExcept()

  Description copied from interface: `Data`
  Return the except patern if any else null.

  Specified by:
    `getExcept` in interface `Data`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD